pkstatogr(1)

NAME
pkstatogr - program to calculate basic statistics from vector file

SYNOPSIS
pkstatogr
-i input [options]

DESCRIPTION
pkstatogr calculates basic statistics on attributes of a vector file. Examples of the basic statistics include: minimum, maximum, median, mean and standard deviation. Histograms (in percentage or absolute values) can also be calculated. The attribute of interest can be selected using the option \FC-n\F[]|\FC--fname\F[]. Values defined by the \FC-nodata\F[] option, or not within the limits set by the options \FC-src_min\F[] and \FC-src_max\F[] are ignored for the statistics.

OPTIONS

\FC-i\F[] filename, \FC--input\F[] filename
    Input image file(s). If input contains multiple images, a multi-band output is created

\FC-ln\F[] layer, \FC--lname\F[] layer
    Layer name(s) in sample (leave empty to select all)

\FC-n\F[] attribute, \FC--fname\F[] attribute
    Fields on which to calculate statistics

\FC-nodata\F[] value, \FC--nodata\F[] value
    Set nodata value(s)

\FC-src_min\F[] value, \FC--src_min\F[] value
    Set minimum value for histogram

\FC-src_max\F[] value, \FC--src_max\F[] value
    Set maximum value for histogram

\FC-s\F[], \FC--size\F[]
    Sample size (number of points)

\FC-mm\F[], \FC--minmax\F[]
    Calculate minimum and maximum value

\FC-min\F[], \FC--min\F[]
    Calculate minimum value

\FC-max\F[], \FC--max\F[]
    Calculate maximum value

\FC-mean\F[], \FC--mean\F[]
    Calculate mean

\FC-median\F[], \FC--median\F[]
    Calculate median

\FC-stdev\F[], \FC--stdev\F[]
    Calculate standard deviation

\FC-hist\F[], \FC--hist\F[]
    Calculate histogram

\FC-nbin\F[] value, \FC--nbin\F[] value
    Number of bins to calculate histogram

\FC-rel\F[], \FC--relative\F[]
    Use percentiles for histogram to calculate histogram

\FC-kde\F[], \FC--kde\F[]
    Use density estimation when producing histogram. The standard deviation is estimated based on Silverman's rule of thumb

\FC-v\F[] level, \FC--verbose\F[] level
    Verbose level

EXAMPLE
report histogram of values in FIELDID (to standard output)

\FC
pkstatogr -i input.shp -f FIELDID -n 100
      \F[]

report min, max, mean and standard deviation of values in FIELDID (to standard output)

\FC
pkstatogr -i input.shp -f FIELDID -min -max -mean -stdev
      \F[]